/**
 * Propeller overlay demo.
 * Copyright (c) 2016 by Marco Maccaferri.
 *
 * MIT Licensed.
 */

#ifndef UART_H_
#define UART_H_

#include <propeller.h>
#include <stdint.h>

int uart_start(int rxpin, int txpin, int mode, int baudrate);

void uart_write(int txbyte);

int uart_read_available();
int uart_read();

void uart_print(const char * str);
void uart_print_dec(unsigned long n);
void uart_print_number(unsigned long n, int base, int digits);

#endif /* UART_H_ */
